# Generated by CodiumAI

from picked_group_fdr.parsers.maxquant import EvidenceRow

class TestEvidenceRow:

    # Creating an EvidenceRow instance with valid data
    def test_create_evidence_row_with_valid_data(self):
        evidence = EvidenceRow(
            raw_file="file1.raw",
            scannr=123,
            peptide="PEPTIDESEQ",
            score=95.5,
            post_err_prob=0.01,
            is_decoy=False,
            is_contaminant=False,
            id_type="MSMS",
            labeling_state="NOT_SILAC"
        )
        assert evidence.raw_file == "file1.raw"
        assert evidence.scannr == 123
        assert evidence.peptide == "PEPTIDESEQ"
        assert evidence.score == 95.5
        assert evidence.post_err_prob == 0.01
        assert not evidence.is_decoy
        assert not evidence.is_contaminant
        assert evidence.id_type == "MSMS"
        assert evidence.labeling_state == "NOT_SILAC"

    # Creating an EvidenceRow with empty strings for non-numeric fields
    def test_create_evidence_row_with_empty_strings(self):
        evidence = EvidenceRow(
            raw_file="",
            scannr=0,
            peptide="",
            score=0.0,
            post_err_prob=0.0,
            is_decoy=False,
            is_contaminant=False,
            id_type="",
            labeling_state=""
        )
        assert evidence.raw_file == ""
        assert evidence.scannr == 0
        assert evidence.peptide == ""
        assert evidence.score == 0.0
        assert evidence.post_err_prob == 0.0
        assert not evidence.is_decoy
        assert not evidence.is_contaminant
        assert evidence.id_type == ""
        assert evidence.labeling_state == ""